package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderDelivererChangeRequest struct {
	/*
	   配送员信息变更请求     */
	DelivererChangeRequest *domain.AlibabaAelophyOrderDelivererChangeDelivererChangeRequest `json:"deliverer_change_request" required:"true" `
}

func (s *AlibabaAelophyOrderDelivererChangeRequest) SetDelivererChangeRequest(v domain.AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) *AlibabaAelophyOrderDelivererChangeRequest {
	s.DelivererChangeRequest = &v
	return s
}

func (req *AlibabaAelophyOrderDelivererChangeRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.DelivererChangeRequest != nil {
		paramMap["deliverer_change_request"] = util.ConvertStruct(*req.DelivererChangeRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyOrderDelivererChangeRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
